Package org.apache.sysds.runtime.instructions.spark

# Class ParameterizedBuiltinSPInstruction.RDDFrameReplaceFunction

java.lang.Object
org.apache.sysds.runtime.instructions.spark.ParameterizedBuiltinSPInstruction.RDDFrameReplaceFunction

All Implemented Interfaces:
  `Serializable`, `org.apache.spark.api.java.function.Function<FrameBlock,FrameBlock>`

Enclosing class:
  ParameterizedBuiltinSPInstruction

public static class ParameterizedBuiltinSPInstruction.RDDFrameReplaceFunction extends Object implements org.apache.spark.api.java.function.Function<FrameBlock,FrameBlock>

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`RDDFrameReplaceFunction(String pattern, String replacement)`

## Method Summary

Modifier and Type
Method
Description
`FrameBlock`
`call(FrameBlock arg0)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RDDFrameReplaceFunction

public RDDFrameReplaceFunction(String pattern, String replacement)

## Method Details

### call

public FrameBlock call(FrameBlock arg0)

Specified by:
  `call` in interface `org.apache.spark.api.java.function.Function<FrameBlock,FrameBlock>`